Index: XMLIO_V2/dev/dev_rv/src/XMLIO/context.hpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/XMLIO/context.hpp	(revision 128)
+++ XMLIO_V2/dev/dev_rv/src/XMLIO/context.hpp	(revision 131)
@@ -9,19 +9,22 @@
       public:
 
-         Context(void) : ObjectTemplate<Context>(), ccalendar(NULL),
-            fieldDef(NULL), fileDef(NULL), axisDef(NULL), gridDef(NULL), domainDef(NULL)
+         Context(void)
+            : ObjectTemplate<Context>(), ccalendar(NULL),
+              fieldDef(NULL), fileDef(NULL), axisDef(NULL), gridDef(NULL), domainDef(NULL)
          {/* Ne rien faire de plus */}
 
-         Context(const string& _id) : ObjectTemplate<Context>(_id), ccalendar(NULL),
-            fieldDef(NULL), fileDef(NULL), axisDef(NULL), gridDef(NULL), domainDef(NULL)
+         Context(const string& _id)
+            : ObjectTemplate<Context>(_id), ccalendar(NULL),
+              fieldDef(NULL), fileDef(NULL), axisDef(NULL), gridDef(NULL), domainDef(NULL)
          {/* Ne rien faire de plus */}
 
-         FieldDefinition  * getFieldDefinition(void)  const { return (this->fieldDef ); }
-         FileDefinition   * getFileDefinition(void)   const { return (this->fileDef  ); }
-         AxisDefinition   * getAxisDefinition(void)   const { return (this->axisDef  ); }
-         GridDefinition   * getGridDefinition(void)   const { return (this->gridDef  ); }
+         FieldDefinition  * getFieldDefinition (void) const { return (this->fieldDef ); }
+         FileDefinition   * getFileDefinition  (void) const { return (this->fileDef  ); }
+         AxisDefinition   * getAxisDefinition  (void) const { return (this->axisDef  ); }
+         GridDefinition   * getGridDefinition  (void) const { return (this->gridDef  ); }
          DomainDefinition * getDomainDefinition(void) const { return (this->domainDef); }
 
          AbstractCalendar * getCalendar(void) const { return (this->ccalendar ); }
+
          AbstractCalendar * setCalendar(const string& _calName, const string& _dateStr)
          {
@@ -42,5 +45,5 @@
          }
 
-         ~Context()
+         ~Context(void)
          {
             // DÃ©sallocation dynamique de mÃ©moire pour chacun des groupes de dÃ©finition si nÃ©cessaire.
@@ -76,18 +79,28 @@
                   { WARNING("Le noeud de dÃ©finition possÃšde un identifiant, ce dernier ne sera pas pris en compte lors du traitement !"); }
 
-                  if (name.compare(FieldDefinition::GetDefName())  == 0) // Parsing pour la dÃ©finition des champs.
-                  { fieldDef  = CreateInstanceAndParse<FieldDefinition >(_node, FieldDefinition::GetDefName().c_str()); continue; }
-
-                  if (name.compare(FileDefinition::GetDefName())  == 0) // Parsing pour la dÃ©finition des fichiers.
-                  { fileDef   = CreateInstanceAndParse<FileDefinition  >(_node, FileDefinition  ::GetDefName().c_str()); continue; }
-
-                  if (name.compare(AxisDefinition::GetDefName())  == 0) // Parsing pour la dÃ©finition des axes.
-                  { axisDef   = CreateInstanceAndParse<AxisDefinition  >(_node, AxisDefinition  ::GetDefName().c_str()); continue; }
-
-                  if (name.compare(GridDefinition::GetDefName())  == 0) // Parsing pour la dÃ©finition des grilles.
-                  { gridDef   = CreateInstanceAndParse<GridDefinition  >(_node, GridDefinition  ::GetDefName().c_str()); continue; }
-
-                  if (name.compare(DomainDefinition::GetDefName()) == 0) // Parsing pour la dÃ©finition des domaines.
-                  { domainDef = CreateInstanceAndParse<DomainDefinition>(_node, DomainDefinition::GetDefName().c_str()); continue; }
+                  if (name.compare(FieldDefinition::GetDefName())  == 0)
+                  // Parsing pour la dÃ©finition des champs.
+                  { fieldDef  = CreateInstanceAndParse<FieldDefinition >
+                                 (_node, FieldDefinition::GetDefName().c_str()); continue; }
+
+                  if (name.compare(FileDefinition::GetDefName())  == 0)
+                  // Parsing pour la dÃ©finition des fichiers.
+                  { fileDef   = CreateInstanceAndParse<FileDefinition  >
+                                 (_node, FileDefinition  ::GetDefName().c_str()); continue; }
+
+                  if (name.compare(AxisDefinition::GetDefName())  == 0)
+                  // Parsing pour la dÃ©finition des axes.
+                  { axisDef   = CreateInstanceAndParse<AxisDefinition  >
+                                 (_node, AxisDefinition  ::GetDefName().c_str()); continue; }
+
+                  if (name.compare(GridDefinition::GetDefName())  == 0)
+                  // Parsing pour la dÃ©finition des grilles.
+                  { gridDef   = CreateInstanceAndParse<GridDefinition  >
+                                 (_node, GridDefinition  ::GetDefName().c_str()); continue; }
+
+                  if (name.compare(DomainDefinition::GetDefName()) == 0)
+                  // Parsing pour la dÃ©finition des domaines.
+                  { domainDef = CreateInstanceAndParse<DomainDefinition>
+                                 (_node, DomainDefinition::GetDefName().c_str()); continue; }
 
                   WARNING("La dÃ©finition est invalide, seuls les champs, grilles, axes et fichiers peuvent Ãªtre dÃ©finis !");
@@ -134,5 +147,7 @@
 
             Poco::HashMap<string, StrHashMap<Context> > &AllListContext = Context::GetAllListObject();
-            for (Poco::HashMap<string, StrHashMap<Context> >::Iterator it = AllListContext.begin(); it != AllListContext.end(); it++)
+            Poco::HashMap<string, StrHashMap<Context> >::Iterator it;
+
+            for (it = AllListContext.begin(); it != AllListContext.end(); it++)
                // On sort chacun des contextes successivement.
             {
@@ -149,5 +164,7 @@
          {
             Poco::HashMap<string, StrHashMap<Context> > &AllListContext = Context::GetAllListObject();
-            for (Poco::HashMap<string, StrHashMap<Context> >::Iterator it = AllListContext.begin(); it != AllListContext.end(); it++)
+            Poco::HashMap<string, StrHashMap<Context> >::Iterator it;
+
+            for (it = AllListContext.begin(); it != AllListContext.end(); it++)
             { Context::SetCurrentContext((*it).first); delete ((*it).second)[(*it).first]; }
          }
@@ -157,5 +174,7 @@
          {
             Poco::HashMap<string, StrHashMap<Context> > &AllListContext = Context::GetAllListObject();
-            for (Poco::HashMap<string, StrHashMap<Context> >::Iterator it = AllListContext.begin(); it != AllListContext.end(); it++)
+            Poco::HashMap<string, StrHashMap<Context> >::Iterator it;
+
+            for ( it = AllListContext.begin(); it != AllListContext.end(); it++)
             {
                // RÃ©solution des hÃ©ritages descendants (cÃ d des hÃ©ritages de groupes) pour chacun des contextes.
@@ -164,6 +183,9 @@
 
                // RÃ©solution des hÃ©ritages par rÃ©fÃ©rence au niveau des fichiers.
-               const std::vector<CFile*>& allFiles = CFile::GetCurrentListObject().getVector();
-               for (unsigned int i = 0; i < allFiles.size(); i++) allFiles[i]->solveFieldRefInheritance();
+               const std::vector<CFile*>& allFiles =
+                                 CFile::GetCurrentListObject().getVector();
+
+               for (unsigned int i = 0; i < allFiles.size(); i++)
+                  allFiles[i]->solveFieldRefInheritance();
             }
          }
@@ -180,4 +202,7 @@
          }
 
+         static const std::stack<string>& GetStackContextId(void)
+         { return (Context::Stid); }
+
          static Context* GetCurrentContext(void)
          { return (Context::GetObject(Context::GetCurrentContextId())); }
@@ -208,5 +233,5 @@
       private:
 
-         static stack<string> Stid;
+         static std::stack<string> Stid;
 
          AbstractCalendar * ccalendar;
@@ -220,5 +245,5 @@
    }; //class Context
 
-   stack<string> Context::Stid;
+   std::stack<string> Context::Stid;
 
 }// namespace XMLIOSERVER