Index: XMLIO_V2/dev/dev_rv/src/XMLIO/c_interface.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/XMLIO/c_interface.cpp	(revision 132)
+++ XMLIO_V2/dev/dev_rv/src/XMLIO/c_interface.cpp	(revision 133)
@@ -18,5 +18,5 @@
 }
 
-static inline XString stringXtoStd(const std::string& _str)
+static inline XString stringXtoStd(const std::string& _str) // Non testÃ©e
 {
    XString _retstr = {new char[_str.size()](), _str.size()};
@@ -79,4 +79,5 @@
    XMLParser::Parse(node);
 }
+
 /* ********************************************************** */
 /*                      DATA TREATMENT INTERFACE              */
@@ -90,5 +91,5 @@
    for (it  = AllDataTreatment.begin();
         it != AllDataTreatment.end(); it++)
-      delete (*it);
+      if (*it != NULL) delete (*it);
 }
 
@@ -113,5 +114,4 @@
 void xios_dtreatment_create_files_and_headers_(const XHandle * const _hd, const XFileType * const _ft)
 {
-   // Si le handle de traitement n'est pas initialisÃ© Ã  0, on ne fait aucun traitement.
    if (isNullHandle(*_hd) || (_hd->data_type != DTREATMENT)) return;
    DataTreatment * const __dt = (DataTreatment*)_hd->data_ptr;
@@ -128,2 +128,15 @@
 }
 
+/* ********************************************************** */
+/*                      CONTEXT INTERFACE                     */
+/* ********************************************************** */
+
+void xios_context_set_current_(const XHandle * const _ctxt, const bool * const _wswap)
+{
+   bool __wswap = (_wswap == NULL) ? false : *_wswap;
+   if (isNullHandle(*_ctxt) || (_ctxt->data_type != ECONTEXT)) return;
+
+   Context* const __ctxt = (Context*) _ctxt->data_ptr;
+   Context::SetCurrentContext(__ctxt->getId(), __wswap) ;
+}
+
Index: XMLIO_V2/dev/dev_rv/src/XMLIO/c_interface.hpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/XMLIO/c_interface.hpp	(revision 132)
+++ XMLIO_V2/dev/dev_rv/src/XMLIO/c_interface.hpp	(revision 133)
@@ -44,4 +44,6 @@
    /* ******************** HANDLE INTERFACE ******************** */
    void xios_handle_create_ (XHandle * _ret, const XDType * const _dtype, XString _id);
+
+   /*
    void xios_handle_verify_ (XBool   * _ret, const XHandle * const _hd);
    void xios_handle_getType_(XDType  * _ret, const XHandle * const _hd);
@@ -51,4 +53,5 @@
    void xios_handle_isGroup_  (XBool * _ret, const XHandle * const _hd);
    void xios_handle_isElement_(XBool * _ret, const XHandle * const _hd);
+   */
 
    /* ******************** XML INTERFACE *********************** */
@@ -60,15 +63,14 @@
    void xios_dtreatment_create_files_and_headers_(const XHandle * const _hd, const XFileType * const _ft);
 
-   /* ******************** CALENDAR INTERFACE ****************** */
+   /* ******************** CONTEXT INTERFACE ******************* */
+   void xios_context_set_current_(const XHandle * const _ctxt, const bool * const _wswap);
 
-   void xios_date_new_(XHandle * _dte, const XDate * const _xdate);
-   void xios_calendar_setTimeStep_(XHandle * _cal, const XDuration * const _dur);
 
-   /* ******************** CONTEXT INTERFACE ******************* */
-   void xios_context_SetCurrent_(const XHandle * const _ctxt);
+   /*
    void xios_context_GetCurrent_(XHandle * _ctxt);
    void xios_context_ShowTree_  (void);
 
    void xios_context_getCalendar_(const XHandle * const _ctxt, XHandle* _cal);
+   */
 
    /* ******************** AXIS INTERFACE ********************** */
Index: XMLIO_V2/dev/dev_rv/src/XMLIO/main.f90
===================================================================
--- XMLIO_V2/dev/dev_rv/src/XMLIO/main.f90	(revision 132)
+++ XMLIO_V2/dev/dev_rv/src/XMLIO/main.f90	(revision 133)
@@ -65,4 +65,18 @@
 END MODULE IXML
 
+MODULE ICONTEXT
+   IMPLICIT NONE
+   INTERFACE
+
+      SUBROUTINE xios_context_set_current(context, withswap)
+         USE XTYPE
+         TYPE(XHandle),     INTENT(IN)  :: context
+         LOGICAL, OPTIONAL, INTENT(IN)  :: withswap
+      END SUBROUTINE xios_context_set_current
+
+   END INTERFACE
+
+END MODULE ICONTEXT
+
 MODULE IDATATREATMENT
    IMPLICIT NONE
@@ -88,4 +102,5 @@
    USE IXHANDLE
    USE IXML
+   USE ICONTEXT
    USE IDATATREATMENT
 
@@ -107,4 +122,6 @@
    ! ----------- DÃ©but du traitement ----------- !
 
+   CALL xios_context_set_current(context1, .TRUE.)
+
    ! CrÃ©ation et initialisation d'une instance de traitement des donnÃ©es dans 'context1'.
    CALL xios_dtreatment_new(dtreat, context1)